Main Page Widgets Namespaces Book

# Glib::PropertyProxy< T > Class Template Reference

You rarely need to use properties because there are get_ and set_ methods for almost all of them. More...

Inheritance diagram for Glib::PropertyProxy< T >:

[legend]
List of all members.

## Public Types

typedef T | PropertyType

## Public Member Functions

| PropertyProxy (Object* obj, const char* name)
void | set_value (const PropertyType& data)
PropertyType | get_value () const
void | reset_value ()
PropertyProxy<T>& | operator= (const PropertyType& data)
| operator PropertyType () const

## Detailed Description

### template <class T>
class Glib::PropertyProxy< T >

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Member Typedef Documentation

template <class T>
typedef T Glib::PropertyProxy<T>::PropertyType

## Constructor & Destructor Documentation

template <class T>
Glib::PropertyProxy<T>::PropertyProxy | ( | Object* | obj,
|  | const char* | name
| ) | `[inline]`

## Member Function Documentation

template <class T>
PropertyType Glib::PropertyProxy<T>::get_value | ( |  | ) | const

template <class T>
Glib::PropertyProxy<T>::operator PropertyType | ( |  | ) | const`[inline]`

template <class T>
PropertyProxy<T>& Glib::PropertyProxy<T>::operator= | ( | const PropertyType& | data | ) | `[inline]`

template <class T>
void Glib::PropertyProxy<T>::reset_value | ( |  | ) | `[inline]`

template <class T>
void Glib::PropertyProxy<T>::set_value | ( | const PropertyType& | data | ) |

The documentation for this class was generated from the following file:

- propertyproxy.h